PETSc version 3.15.5
Fix/Edit manual page

# DMPlexCreateGlobalToNaturalSF

Creates the SF for mapping Global Vec to the Natural Vec

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateGlobalToNaturalSF(DM dm, PetscSection section, PetscSF sfMigration, PetscSF *sfNatural)

### Input Parameters

| dm | - The DM
| section | - The PetscSection describing the Vec before the mesh was distributed, or NULL if not available
| sfMigration | - The PetscSF used to distribute the mesh, or NULL if it cannot be computed

### Output Parameter

| sfNatural | - PetscSF for mapping the Vec in PETSc ordering to the canonical ordering

Note: This is not typically called by the user.

### See Also

DMPlexDistribute(), DMPlexDistributeField()

### Level

intermediate

### Location

src/dm/impls/plex/plexnatural.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages